On Monday 27 March 2017 10:07 PM, Jérémy Lal wrote:
> That's simply a bug in node-handlebars:
> ~$ node
>> require('handlebars')
> Error: Cannot find module '../dist/cjs/handlebars'
>     at Function.Module._resolveFilename (module.js:325:15)
>     at Function.Module._load (module.js:276:25)
>     at Module.require (module.js:353:17)
>     at require (internal/module.js:12:17)
>     at Object.<anonymous> (/usr/lib/nodejs/handlebars/lib/index.js:7:18)
>     at Module._compile (module.js:409:26)
>     at Object.Module._extensions..js (module.js:416:10)
>     at Module.load (module.js:343:32)
>     at Function.Module._load (module.js:300:12)
>     at Module.require (module.js:353:17)
>
> Could you open a bug ?
>
> Jérémy
>
We need to complete babel packaging to be able to generate that.
Currently the purpose of node-handlebars package to simply provide
source corresponding to ruby-handlebars-assets package (which is in
contrib because we are not building it in debian, having node-handlebars
allows it to be in contrib as opposed to non-free). See #853176, and
#842222 (ITP for babel) and its complicated as it has a circular
dependency on rollup.


Attachment: signature.asc
Description: OpenPGP digital signature

-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to